import processing.serial.*;

Serial myPort;        // The serial port
int diam = 1;         // diameter of the circle

void setup () {
  // set the window size:
  size(800, 800);

  // List all the available serial ports
  println(Serial.list());

  // Open whatever port is the one you're using.
  myPort = new Serial(this, Serial.list()[3], 9600);

  // don't generate a serialEvent() unless you get a newline character:
  myPort.bufferUntil('\n');
}
void draw () {
  background(255);
  ellipse(height/2, width/2, diam, diam);
}

void serialEvent (Serial myPort) {
  // make sure we have a valid byte
  if (myPort == null) {
    return;
  }
  // get the ASCII string:
  String inString = myPort.readStringUntil('\n');

  if (inString != null) {
    // trim off any whitespace:
    inString = trim(inString);
    // convert to an int and map to the screen height:
    diam = float(inString);
  }
}

